MONGOC_URI_GET_AUTH_MECHANISM(3)

NAME
mongoc_uri_get_auth_mechanism() - Fetches the authMechanism parameter to an URI if provided.

SYNOPSIS

const char *
mongoc_uri_get_auth_mechanism (const mongoc_uri_t *uri);

PARAMETERS

uri A mongoc_uri_t \&.

DESCRIPTION

Fetches the authMechanism parameter to an URI if provided.

RETURNS

A string which should not be modified or freed.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.